*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-decoration: none;
    scroll-behavior: smooth;
    list-style: none;
}

header{
    position: fixed;
    top: 1rem;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5rem;
    background-color: rgba(53, 0, 53, 0.8);
    backdrop-filter: blur(8px);
    color: rgb(241, 146, 241);
    padding: 0.5rem 1.5rem;
    border-radius: 3rem;
    z-index: 1000;
}

.logo{
    color: white;
    font-size: 1.3rem;
    font-weight: 600;
    text-wrap: nowrap;
    transition: 0.3s ease-in-out;
}

.logo:hover{
    transform: scale(1.1);
}

.nav-links{
    display: flex;
    gap: 2rem;
}

li a{
    position: relative;
    color: rgb(233, 202, 246);
    font-weight: 300;
}

li a::before{
    position: absolute;
    content: '';
    width: 0;
    left: 0;
    height: 5px;
    top: 25px;
    border-radius: 1rem;
    transition: 0.3 ease-in-out;
    background: linear-gradient(to right, rgb(212, 163, 238),purple);
}

li a:hover::before{
    width: 100%;
}

.visit-btn{
    padding: 0.8rem 1.5rem;
    border-radius: 3rem;
    border: none;
    font-weight: 500;
    font-size: 1rem;
    color: rgb(233, 202, 246);
    cursor: pointer;
    text-wrap: nowrap;
    transition: 0.3s ease-in-out;
    background: linear-gradient(to right, rgb(212, 163, 238),purple);
}

.visit-btn:hover{
    background: linear-gradient(to right, purple, rgb(212, 163, 238));
    transform:scale(1.03)
}

#menu-icon{
    font-size: 2rem;
    display: none
}

section{
    min-height: 100vh;
    padding: 8rem 12%;
    width: 100%;
    position: relative;
}

.about{
    display: flex;
    align-items: center;
    justify-content: center;
}

.about .about-container{
    display:flex;
    align-items: center;
    justify-content: center;
    gap: 10rem;
}

.about img{
    width: 30vw;
    border-radius: 50%;
}

.info-box{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    gap: 1.5rem;
}

.info-box h3{
    font-size: 1.8rem;
    font-weight: 500;
    opacity: 0.8;
}

.info-box h1{
    font-size: 4rem;
    font-weight: 600;
}

.info-box span{
    background: linear-gradient(to right, purple, rgb(212, 163, 238));
    background-clip: text;
    color: transparent;
    font-size: 2rem;
}

.btn-group{
    display: flex;
    gap: 1rem;
    margin-left: 10rem;
    /**right: 0;
    transform: translateX(37.5%);**/
}

.btn{
    border-radius: 3rem;
    padding: 0.5rem 1.5rem;
    color: black;
    border: 2px solid black;
    cursor: pointer;
    font-weight: 500;
    text-wrap: nowrap;
    transition: 0.2s ease-in-out;
}

.btn:hover{
    background-color: black;
    color:white;
}

.socials{
    display: flex;
    gap: 2rem;
    margin-left: 10rem;
    /**right: 0;
    transform: translateX(37.5%);**/
}

.socials a{
    font-size: 2.5rem;
    cursor: pointer;
    transition: 0.2s ease-in-out;
    color: black;
}

.socials a:hover{
    transform: scale(1.1);
}

.section-title{
    text-align: center;
    font-size: 4rem;
    font-weight: 600;
    margin-bottom: 3rem;
}

.achievements-info{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5rem;
}

.a-photo-card img{
    width: 15vw;
    border-radius: 3rem;
    border: 2px solid black;
    margin-bottom: 1rem;
    /**left: 25%;
    transform: translateX(100%);
    display: grid;
    grid-template-columns: repeat(1,1fr);
    gap: 2rem;**/
}
.photo-card{
    display: grid;
    gap: 2rem;
    size: 1rem;
    padding: 2px;
}
.grid {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 2rem;
}

.grid-card{
    border: 2px solid black;
    border-radius: 3rem;
    padding: 3rem;
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: left;
    cursor: pointer;
    transition: 0.2s ease-in-out;
}

.grid-card:hover{
    transform: scale(1.02);
    background-color: black;
    color: white;
}

.grid-card i{
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.grid-card img{
    position: top right;
    margin: 1rem;
}

.grid-card span{
    font-size: 1.5rem;
    font-weight: 500;
    background: linear-gradient(to right, purple, rgb(212, 163, 238));
    background-clip: text;
    color: transparent;
}

::-webkit-scrollbar{
    width: 20px;
}

::-webkit-scrollbar-track{
    background-color:#b60daa;
    /**border-radius: 4px;**/
}

::-webkit-scrollbar-thumb{
    background: linear-gradient(to bottom, purple, rgb(212, 163, 238));
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover{
    background: linear-gradient(to bottom, rgb(212, 163, 238), purple);
}

.projects-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
    gap: 2rem;
    margin-top: 2rem;
}

.project-card{
    padding: 3rem 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 1.5rem;
    border: 2px solid black;
    border-radius: 3rem;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.project-card:hover{
    background-color: black;
    color: white;
    transform: translateY(-10px)scale(1.02);
}

.project-card img{
    width: 20vw;
    border-radius: 1rem;
}

.project-card:hover .btn{
    border: 2px solid white;
    color: white;
}

.project-card:hover .btn:hover{
    border: 2px solid white;
    background-color: white;
    color: black;
}

.project-card h3{
    font-size: 2rem;
    font-weight: 500;
}

.sub-heading {
    font-size: 1.5rem;
    font-weight: 600;
    position: center;
    background: linear-gradient(to right, rgb(212, 163, 238), purple);
    background-clip: text;
    color: transparent;
    margin-top: 1rem;
}

.btn-groups{
    display: flex;
    gap: 1rem;
    position: center;
    color: black;
}

.artwork-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
    gap: 2rem;
    margin-top: 0.5rem;
}

.artwork-card{
    padding: 1rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 0.5rem;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.artwork-card:hover{
    transform: scale(1.02);
}

.artwork-card img{
    width: 25vw;
    border-radius: 1rem;
    align-items: space-evenly;
}

.photo-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
    gap: 0.8rem;
    margin-top: 0.5rem;
}

.photo-card{
    padding: 1rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: top;
    gap: 2rem;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.photo-card:hover{
    transform: scale(1.02);
}

.photo-card img{
    width: 25vw;
    border-radius: 1rem;
    align-items: space-evenly;
}

.contact{
    align-items: center;
    justify-content: center;
}

.input-box{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 2rem;
    margin-top: 5rem;
}

.input-box input{
    border-radius: 3rem;
    border: 2px solid black;
    padding: 2rem 8rem;
    font-size: 2rem;
}

.input-box input::placeholder{
    font-size: 2rem;
}

.input{
    position: relative;
}

.input i{
    position: absolute;
    font-size: 3rem;
    top: 50%;
    left: 10px;
    transform: translate(50%,-50%)
}

#responsemessage{
    margin-top: 10px;
    font-size: 14px;
    position: center;
}

footer{
    bottom: 0;
    left: 0;
    height: 10rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    justify-content: center;
}

footer ul{
    display: flex;
    align-items: center;
    gap: 3rem;
}

footer ul li a{
    color: black;
    font-weight: 600;
}

.footer-tags{
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 5px;
    font-weight: 500;
    background: linear-gradient(to right, rgb(212, 163, 238), purple);
    background-clip: text;
    color: transparent;
}

/**a.footer-tags i{
    display: flex;
    justify-content: center;
    gap: 30 px;
    position: relative;
}**/

.copyright{
    font-size: 300;
    margin-top: 1rem;
}

@media(max-width:1280px){
    header{
        padding: 1rem 2rem;
        gap: 2rem;
    }
    .about .about-container{
        gap: 3rem;
    }
    .btn-group{
        margin-left: 9rem;
    }
    .socials{
        margin-left: 9rem;
    }
    .achievements-info{
        flex-direction: column;
    }
    .input-box input{
        padding: 1rem 4rem;
        font-size: 1.5rem;
    }
    .input input::placeholder{
        font-size: 1.5rem;
    }
    .input-box i{
        font-size: 1.5rem;
    }
}


@media(max-width:768px){
    header{
        gap: 1rem;
        padding: 0.6rem 0.6rem;
    }
    header .logo{
        font-size: 1rem;
    }
    header .visit-btn{
        display: none;
    }
    .about .about-container{
        flex-direction: column;
    }
    .about-container img{
        width: 35vw;
    }
    .btn-group{
        margin-left: 5rem;
    }
    .socials{
        margin-left: 5rem;
    }
    .input-box input{
        padding: 0.5 rem 1rem;
        font-size: 0.8rem; 
    }
    .input-box input::placeholder{
        font-size: 1rem;
    }
    .input-box i{
        display: none;
    }
    .grid{
        grid-template-columns: repeat(1,1fr);
    }
    .achievements-info img{
        width: 70vw;
    }
    .section-title{
         font-size: 3rem;
    }
    .artwork-card img{
        width: 60vw;
    }
    .photo-card img{
        width: 60vw;
    }
    .project-card h3{
        font-size: 1rem;
    }
    .project-card img{
        width: 45vw;
    }
    .footer-tags{
        gap: 10px;
    }
}

@media(max-width:600px){
    header #menu-icon{
        display: block;
        color: linear-gradient(to bottom, rgb(212, 163, 238), purple);;
        cursor: pointer;
    }
    .nav-links{
        position: absolute;
        top: 100%;
        margin-top: 1rem;
        width: 100%;
        padding: 1rem;
        color: white;
        display: flex;
        flex-direction: column;
        text-align: center;
        background-color: rgba(53, 0, 53, 0.8);
        border-radius: 3rem;
        display: none;
    }
    .nav-links li{
        margin-top: 1.5rem;
        padding: 1rem;
    }
    .nav-links.active{
        display: block
    }
    header #menu-icon:hover{
        color: white;
    }
    header{
        padding: 1rem 5rem;
        gap: 6rem;
    }
    header .logo{
        font-size: 1.5rem;
    }
    .about .about-container{
        flex-direction: column;
    }
    .about-container img{
        width: 30vw;
    }
    .section-title{
         font-size: 2rem;
    }
    .input-box input{
        padding: 0.5rem 3rem;
        width: 80%;
        font-size: 1rem;
    }
    .input-box input::placeholder{
        font-size: 0.6rem;
    }
    footer ul{
        gap: 1rem;
    }
    .footer-tags{
        gap: 5px;
    }
}